#!/bin/sh -ex
# Remove Wolfenstein dogs from source; they belong to another game
# with incompatible licensing.

: ${DOOMWADDIR:=/usr/share/doom};

version=$(perl -lne 'if(/^Version\s*:\s*(\S+)/){print$1;exit}' <prboom-plus.spec)
rm -Rf "prboom-plus-$version"
tar -xf "prboom-plus-$version.tar.gz"
pushd "prboom-plus-$version/"
# retain files so automake won't complain
for i in data/sounds/dsdg*.wav data/sprites/dogs*.ppm; do
	>"$i"
done
popd
find "prboom-plus-$version" -print0 | sort -z | \
	tar --no-r --null --use=xz -T- -cvf "prboom-plus-$version+.tar.xz"
